#Train Class Example
class Train:
    def __init__(self, class_, name):
        self.class_ = class_
        self.name = name
        self.name = name if name else "#"
    def __str__(self):
        return f"Class {self.class_}({self.name})"
    def manufacturer(self):
        return ""

class BREL(Train):
    def __init__(self, class_):
        super().__init__(class_, "")
    def manufacturer(self):
        return "BREL"

class PEP(Train):
    def __init__(self, class_):
        super().__init__(class_, "PEP")
    def manufacturer(self):
        return "Unknown"

#The presendence of definitions is the order in the inheritance bracket
class C315(BREL, PEP):
    def __init__(self):
        super(BREL,self).__init__(315)

c315 = C315()
print(c315, c315.manufacturer())
del c315
